//----------------------------------------------------------------------------
//  Project Rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    Rect Application
//  FILE:         rctabtdl.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(rctabtdl_h)              // Sentry, use file only if it's not already included.
#define rctabtdl_h

#include <owl/static.h>

#include "rectapp.rh"                  // Definition of all resources.


//{{TDialog = TRectAboutDlg}}
class TRectAboutDlg : public TDialog {
  public:
    TRectAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TRectAboutDlg();

//{{TRectAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TRectAboutDlgVIRTUAL_END}}
};    //{{TRectAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // rctabtdl_h sentry.
