//----------------------------------------------------------------------------
//  Project rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    rect.apx Application
//  FILE:         rctdcmnt.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectDocument (TFileDocument).
//
//----------------------------------------------------------------------------
#if !defined(rctdcmnt_h)              // Sentry, use file only if it's not already included.
#define rctdcmnt_h

#include <owl/filedoc.h>
#include <values.h>
#include "rectapp.rh"            // Definition of all resources.

const int vnRectModify = vnCustomBase + 0;
NOTIFY_SIG(vnRectModify, unsigned int)
#define EV_VN_RECTMODIFY VN_DEFINE(vnRectModify,VnModify,int)

#define MAX_RECT 20

//{{TFileDocument = TRectDocument}}
class TRectDocument : public TFileDocument {
  protected:
    int rcount;
    TRect Rect[MAX_RECT];
  public:
    TRectDocument(TDocument* parent = 0);
    virtual ~TRectDocument();
    const TRect *GetRect(unsigned int index) const;
    const char *GetRectText(unsigned int index) const;

//{{TRectDocumentVIRTUAL_BEGIN}}
  public:
    virtual bool Open(int mode, const char far* path=0);
    virtual bool InitDoc();
    virtual bool Commit(bool force=false);
    virtual bool SetRect(const TRect &rect,unsigned int index = MAXINT);
    virtual bool SetRect(const char *text, unsigned int index = MAXINT);
    virtual bool DelRect(unsigned int index = MAXINT);
    virtual bool Clear();
//{{TRectDocumentVIRTUAL_END}}
};    //{{TRectDocument}}


#endif  // rctdcmnt_h sentry.

