//----------------------------------------------------------------------------
//  Project Rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    Rect Application
//  FILE:         rctmdicl.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectMDIClient (TMDIClient).
//
//----------------------------------------------------------------------------
#if !defined(rctmdicl_h)              // Sentry, use file only if it's not already included.
#define rctmdicl_h

#include "rectapp.rh"            // Definition of all resources.


//{{TMDIClient = TRectMDIClient}}
class TRectMDIClient : public TMDIClient {
  public:
    int      ChildCount;                 // Number of child window created.

    TRectMDIClient(TModule* module = 0);
    virtual ~TRectMDIClient();

    void OpenFile(const char* fileName = 0);

//{{TRectMDIClientVIRTUAL_BEGIN}}
  protected:
    virtual void SetupWindow();
//{{TRectMDIClientVIRTUAL_END}}

//{{TRectMDIClientRSP_TBL_BEGIN}}
  protected:
    void CmFilePrint();
    void CmFilePrintSetup();
    void CmFilePrintPreview();
    void CmPrintEnable(TCommandEnabler& tce);
    void EvDropFiles(TDropInfo);
//{{TRectMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TRectMDIClient);
};    //{{TRectMDIClient}}


#endif  // rctmdicl_h sentry.
