//----------------------------------------------------------------------------
//  Project Rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    Rect Application
//  FILE:         rectapp.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(rectapp_h)              // Sentry, use file only if it's not already included.
#define rectapp_h

#include <owl/controlb.h>
#include <owl/docking.h>
#include <owl/mailer.h>
#include <owl/printer.h>
#include <owl/rcntfile.h>

#include <classlib/bags.h>

#include "rctmdicl.h"

#include "rectapp.rh"            // Definition of all resources.


//{{TApplication = TRectApp}}
class TRectApp : public TApplication, public TRecentFiles {
  private:
    void SetupSpeedBar(TDecoratedMDIFrame* frame);
    void AddFiles(TFileDropletList& files);
    void ProcessCmdLine(char * CmdLine);
    void RegisterInfo();
    void UnRegisterInfo();

  public:
    TRectApp();
    virtual ~TRectApp();

    void CreateGadgets(TDockableControlBar* cb, bool server = false);
    THarbor*        ApxHarbor;

    TRectMDIClient* MdiClient;

    // Public data members used by the print menu commands and Paint routine in MDIChild.
    //
    TPrinter*       Printer;                           // Printer support.
    int             Printing;                          // Printing in progress.

    TMailer*        ApxMail;

//{{TRectAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
    virtual void InitInstance();
//{{TRectAppVIRTUAL_END}}

//{{TRectAppRSP_TBL_BEGIN}}
  protected:
    void EvNewView(TView& view);
    void EvCloseView(TView& view);
    void CeFileSend(TCommandEnabler& ce);
    void CmFileSend();
    void CmHelpAbout();
    void EvDropFiles(TDropInfo drop);
    void EvWinIniChange(char far* section);
    void EvOwlDocument(TDocument& doc);
    int32 CmFileSelected(uint wp, int32 lp);
//{{TRectAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TRectApp);
};    //{{TRectApp}}


#endif  // rectapp_h sentry.
