//----------------------------------------------------------------------------
//  Project rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    rect.apx Application
//  FILE:         rectview.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectView (TWindowView).
//
//----------------------------------------------------------------------------
#if !defined(rectview_h)              // Sentry, use file only if it's not already included.
#define rectview_h

#include <owl/docview.h>

#include "rectapp.rh"            // Definition of all resources.
#include "rctdcmnt.h"


//{{TWindowView = TRectView}}
class TRectView : public TWindowView {

  public:
    TRectView(TRectDocument& doc, TWindow* parent = 0);
    virtual ~TRectView();

//{{TRectViewVIRTUAL_BEGIN}}
  public:
    virtual void Paint(TDC& dc, bool erase, TRect& rect);
    static const char far *StaticName() { return "Rect View"; }
//{{TRectViewVIRTUAL_END}}

//{{TRectViewRSP_TBL_BEGIN}}
  protected:
  void EvLButtonDown(uint modKeys, TPoint& point);
  void EvMouseMove(uint modKeys, TPoint& point);
  void EvLButtonUp(uint modKeys, TPoint& point);
  bool VnModify(unsigned int index);
  TRectDocument &Doc;
  TDC *DragDC;
  TPoint DragPoint;
  TRect  DragRect;
//{{TRectViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TRectView);
};    //{{TRectView}}


#endif  // rectview_h sentry.

